Bug 1732516 - MCC reporting unsupported platform when installing on vSphere
Summary: MCC reporting unsupported platform when installing on vSphere
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Erica von Buelow
QA Contact: Micah Abbott
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 14:19 UTC by Micah Abbott
Modified: 2019-08-28 13:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-28 13:04:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Micah Abbott 2019-07-23 14:19:18 UTC
(from upstream issue https://github.com/openshift/machine-config-operator/issues/997)

Description

During a UPI install of Openshift 4.1 on vSphere, the MCC is reporting vSphere as an unsupported platform.

Steps to reproduce the issue:

1. Perform UPI install of OpenShift 4.1 on vSphere
2. Inspect MCC logs on bootstrap node

Describe the results you received:

```
[root@bootstrap-0 ~]# crictl logs -f 2ad00effa3946
I0721 17:30:31.823340       1 bootstrap.go:40] Version: 4.1.6-201907101224-dirty (365c1cfd14de5b0e3b85e0fc815b0060f36ab955)
W0721 17:30:31.831657       1 render.go:127] Warning: the controller config referenced an unsupported platform: vsphere
W0721 17:30:31.843369       1 render.go:127] Warning: the controller config referenced an unsupported platform: vsphere
W0721 17:30:31.845925       1 render.go:127] Warning: the controller config referenced an unsupported platform: vsphere
W0721 17:30:31.847011       1 render.go:127] Warning: the controller config referenced an unsupported platform: vsphere
W0721 17:30:31.849637       1 render.go:127] Warning: the controller config referenced an unsupported platform: vsphere
W0721 17:30:31.852473       1 render.go:127] Warning: the controller config referenced an unsupported platform: vsphere
```

Describe the results you expected:

No warnings about vSphere as an unsupported platform

(filed on behalf of an email sent to aos-devel@redhat.com)


The UPI docs state that vSphere is a supported platform, so it is confusing to users to encounter this kind of message in the logs.

https://docs.openshift.com/container-platform/4.1/installing/installing_vsphere/installing-vsphere.html#installation-vsphere-config-yaml_installing-vsphere

Comment 1 Kirsten Garrison 2019-07-23 16:55:24 UTC
As per conversation here: https://github.com/openshift/machine-config-operator/pull/998#discussion_r305925408

this might be the expected behavior currently

Comment 2 Antonio Murdaca 2019-08-08 12:49:12 UTC
removing 4.1 target for now - not sure if this is going to make 4.2 either

Comment 3 Antonio Murdaca 2019-08-28 13:04:37 UTC
Based on conversation in the PR (https://github.com/openshift/machine-config-operator/pull/998#discussion_r305925408) seems like this is the expected behavior at least for 4.2 (unless we're missing something).


Note You need to log in before you can comment on or make changes to this bug.